using System;
using nft.ui.command;

namespace nft.debug
{
	/// <summary>
	/// TestErrorMessage の概要の説明です。
	/// </summary>
	public class TestErrorMessage : ITriggerCommandProcedure
	{
		public TestErrorMessage()
		{			
		}
		
        public void Execute() {
            throw new Exception("これはテストで発生させた例外です。");
        }

        public bool Enable {
            get { return true; }
        }

        public event EventHandler EnableChanged;
    }
}
